Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.context.control
Class NormalScreenListener

    java.lang.Object
      org.deegree.enterprise.control.AbstractListener
          org.deegree.portal.standard.context.control.AbstractContextListener
              org.deegree.portal.standard.context.control.NormalScreenListener

All Implemented Interfaces:
  EventListener, WebListener

    public class NormalScreenListener

extends AbstractContextListener

This class converts the fullScreen to normalScreen view. It loads the old view from the httpSession and applies to it the manipulations the user did in fullScreen view

Version:
  $Revision: $, $Date: 1 Jun 2007 13:50:40$
Author:
  Moataz Elmasry, last edited by: $Author: elmasri$

Field Summary
`protected static String` | `DEFAULT_CTXT2HTML`

Fields inherited from class org.deegree.portal.standard.context.control.AbstractContextListener
`userDir`

Constructor Summary
`NormalScreenListener()`

Method Summary
`void` | `actionPerformed(FormEvent event)`
`protected ViewContext` | `createNormalScreenContext(ViewContext vc, Envelope newbBox)` This Method adapt the normal size screen context with the new changes applied in the full screen view, ex.
`protected ViewContext` | `getViewContextFromSession()` Extracts the Xml of NORMALSCREEN_MAPCONTEXT from the session and transforms it to a ViewContext
`protected void` | `initialize()` Initializes the global variables of the class
`protected void` | `setCurrentContext(ViewContext vc)` Takes in viewContext converts it to a html of the viewcontext and display it
`protected ViewContext` | `setToNormalScreen(RPCWebEvent rpc)`
`protected void` | `validate(RPCWebEvent rpc)` ValidateRPC looks in the RPCStruct for all needed elements and gotoErrorPage in case an element is found or wronglz formated, this is useful so that we won't need to check later for anz variables, simply get them and start Working
`protected void` | `validateBBox(RPCMember bboxRPCMember)` Validates the data in the struct to make sure it contains a valid bbox
`protected void` | `validateLayerList(RPCMember layerListRPCMember)` Validates the data in the struct to make sure it contains a valid layerList

Methods inherited from class org.deegree.portal.standard.context.control.AbstractContextListener
`changeBBox, changeLayerList, extractBBox, extractBBox, extractRPCParameters, extractRPCStruct, getContextList, getUserName, getUserPassword, getUsersStartContext, readSessionID, transformToHtmlMapContext`

Methods inherited from class org.deegree.enterprise.control.AbstractListener
`getAlternativeNextPage, getHomePath, getInitParameter, getInitParameterList, getNextPage, getRequest, getReturnValue, gotoErrorPage, handle, setAlternativeNextPage, setDefaultAlternativeNextPage, setDefaultNextPage, setNextPage, setReturnValue, toModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CTXT2HTML

    protected static final String DEFAULT_CTXT2HTML

See Also:
  Constant Field Values

Constructor Detail

### NormalScreenListener

    public NormalScreenListener()

Method Detail

### actionPerformed

    public void actionPerformed(FormEvent event)

  Specified by:
    `actionPerformed` in interface `WebListener`
  Specified by:
    `actionPerformed` in class `AbstractListener`

### validate

    protected void validate(RPCWebEvent rpc)
                     throws PortalException

  ValidateRPC looks in the RPCStruct for all needed elements and gotoErrorPage in case an element is found or wronglz formated, this is useful so that we won't need to check later for anz variables, simply get them and start Working

  Parameters:
    `rpc` -
  Throws:
    `PortalException`

### initialize

    protected void initialize()
                       throws PortalException

  Initializes the global variables of the class

  Throws:
    `PortalException`

### setToNormalScreen

    protected ViewContext setToNormalScreen(RPCWebEvent rpc)
                                     throws PortalException

  Parameters:
    `rpc` - The RPCWebEvent that contains a struct with the necessary information about the current context
  Returns:
    the viewcontext with the current changes
  Throws:
    `PortalException`

### setCurrentContext

    protected void setCurrentContext(ViewContext vc)
                              throws ParserConfigurationException,
                                     PortalException

  Takes in viewContext converts it to a html of the viewcontext and display it

  Parameters:
    `vc` - the ViewContext after convert
  Throws:
    `ParserConfigurationException`
    `PortalException`

### validateLayerList

    protected void validateLayerList(RPCMember layerListRPCMember)
                              throws PortalException

  Validates the data in the struct to make sure it contains a valid layerList

  Parameters:
    `layerListRPCMember` -
  Throws:
    `PortalException`

### validateBBox

    protected void validateBBox(RPCMember bboxRPCMember)
                         throws PortalException

  Validates the data in the struct to make sure it contains a valid bbox

  Parameters:
    `bboxRPCMember` -
  Throws:
    `PortalException`

### getViewContextFromSession

    protected ViewContext getViewContextFromSession()
                                             throws PortalException

  Extracts the Xml of NORMALSCREEN_MAPCONTEXT from the session and transforms it to a ViewContext

  Returns:
    The stored actual context
  Throws:
    `PortalException`

### createNormalScreenContext

    protected ViewContext createNormalScreenContext(ViewContext vc,
                                                    Envelope newbBox)
                                             throws PortalException

  This Method adapt the normal size screen context with the new changes applied in the full screen view, ex. changing zoom , or add new layers

  Parameters:
    `vc` -
    `newbBox` -
  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org